# MPE_Fill_rectangle

Draws a filled rectangle on an X11 display

## Synopsis

    #include "mpe.h"
    int MPE_Fill_rectangle( handle, x, y, w, h, color )
    MPE_XGraph handle;
    int        x, y, w, h;
    MPE_Color  color;

## Input Parameters

handle
  MPE graphics handle
x,y
  pixel position of the upper left (low coordinate) corner of the rectangle to draw.
w,h
  width and height of the rectangle
color
  Color `index` value. See 'MPE_MakeColorArray'. By default, the colors 'MPE_WHITE', 'MPE_BLACK', 'MPE_RED', 'MPE_YELLOW', 'MPE_GREEN', 'MPE_CYAN', 'MPE_BLUE', 'MPE_MAGENTA', 'MPE_AQUAMARINE', 'MPE_FORESTGREEN', 'MPE_ORANGE', 'MPE_VIOLET', 'MPE_BROWN', 'MPE_PINK', 'MPE_CORAL' and 'MPE_GRAY' are defined.

## Notes

This uses the X11 definition of width and height, so you may want to add 1 to both of them.

## Notes For Fortran Interface

The Fortran interface to this routine is different from its C counterpart and it has an additional argument, ierr, at the end of the argument list, i.e. the returned function value (the error code) in C interface is returned as the additional argument in Fortran interface. The Fortran interface is invoked with the CALL statement.

All MPI and MPE objects, MPI_Comm, MPE_XGraph and MPE_Color, are of type INTEGER in Fortran.

Location:../src/graphics/src/mpe_graphics.c